package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.queue.SuccessQueue;
import com.zskk.dicom.monitor.utils.MonitorFileUtils;

public class SuccessRunner extends BaseRemoveRunner {

    public SuccessRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected boolean exit() {
        return super.exit();
    }

    @Override
    protected String getRunnerName() {
        return "SuccessRunner";
    }

    @Override
    protected String getSourceFilePath() {
        return (String) SuccessQueue.getInstance().pop();
    }

    @Override
    protected String getTargetFilePath(String sourceFilePath) {
        return MonitorFileUtils.getBackupPath(sourceFilePath);
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.SUCCESS_REMOVE;
    }
}
