package com.zskk.dicom.monitor.queue;

/**
 * 当前重试队列(单例)
 */
public class CurrentRetryUploadQueue extends BaseStringQueue {
    private CurrentRetryUploadQueue() {
        super("CurrentRetryUploadQueue");
    }

    @Override
    public String getQueueName() {
        return "CurrentRetryUploadQueue";
    }

    private static class CurrentRetryUploadQueueHolder {
         private static CurrentRetryUploadQueue instance = new CurrentRetryUploadQueue();
    }

    public static CurrentRetryUploadQueue getInstance() {
          return CurrentRetryUploadQueueHolder.instance;
    }

}
