package com.zskk.dicom.monitor.queue;

/**
 * 成功移动队列
 */
public class SuccessQueue extends BaseStringQueue {
    private SuccessQueue() {
        super("SuccessQueue");
    }

    @Override
    public String getQueueName() {
        return "SuccessQueue";
    }

    private static class SuccessQueueHolder {
        private static SuccessQueue instance = new SuccessQueue();
    }

    public static SuccessQueue getInstance() {
        return SuccessQueueHolder.instance;
    }
}
